Groups and labels
Create Label
Creates an admin label. title and icon are required; use an icon value from List label icons. background and color default to #F8C856 and #000000 when omitted. New labels are inactive unless you send status: active, and only active labels are listed. The title is saved in the company’s default language. Returns 422 on validation errors such as a duplicate title. Requires a company admin token with permission to update categories.
POST
/
api
/
company
/
labels
Create Label
curl --request POST \
--url https://api.fluid.app/api/company/labels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": {
"title": "Best Seller",
"icon": "rocket.svg",
"background": "#F8C856",
"color": "#000000",
"status": "active"
}
}
'import requests
url = "https://api.fluid.app/api/company/labels"
payload = { "label": {
"title": "Best Seller",
"icon": "rocket.svg",
"background": "#F8C856",
"color": "#000000",
"status": "active"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: {
title: 'Best Seller',
icon: 'rocket.svg',
background: '#F8C856',
color: '#000000',
status: 'active'
}
})
};
fetch('https://api.fluid.app/api/company/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/labels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'label' => [
'title' => 'Best Seller',
'icon' => 'rocket.svg',
'background' => '#F8C856',
'color' => '#000000',
'status' => 'active'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/labels"
payload := strings.NewReader("{\n \"label\": {\n \"title\": \"Best Seller\",\n \"icon\": \"rocket.svg\",\n \"background\": \"#F8C856\",\n \"color\": \"#000000\",\n \"status\": \"active\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/labels")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": {\n \"title\": \"Best Seller\",\n \"icon\": \"rocket.svg\",\n \"background\": \"#F8C856\",\n \"color\": \"#000000\",\n \"status\": \"active\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/labels")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": {\n \"title\": \"Best Seller\",\n \"icon\": \"rocket.svg\",\n \"background\": \"#F8C856\",\n \"color\": \"#000000\",\n \"status\": \"active\"\n }\n}"
response = http.request(request)
puts response.read_body{
"label": {
"id": 5127,
"status": "active",
"title": "Best Seller",
"background": "#F8C856",
"color": "#000000",
"icon": "https://dunder-mifflin.fluid.app/assets/label_icons/rocket-3f9a1c2e.svg"
},
"meta": {
"request_id": "9c4e2b7a-51d3-4f8e-a6b0-3d1f72c85e14",
"timestamp": "2026-09-18T14:05:22Z"
}
}{
"message": "<string>"
}⌘I
Create Label
curl --request POST \
--url https://api.fluid.app/api/company/labels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": {
"title": "Best Seller",
"icon": "rocket.svg",
"background": "#F8C856",
"color": "#000000",
"status": "active"
}
}
'import requests
url = "https://api.fluid.app/api/company/labels"
payload = { "label": {
"title": "Best Seller",
"icon": "rocket.svg",
"background": "#F8C856",
"color": "#000000",
"status": "active"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: {
title: 'Best Seller',
icon: 'rocket.svg',
background: '#F8C856',
color: '#000000',
status: 'active'
}
})
};
fetch('https://api.fluid.app/api/company/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/labels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'label' => [
'title' => 'Best Seller',
'icon' => 'rocket.svg',
'background' => '#F8C856',
'color' => '#000000',
'status' => 'active'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/labels"
payload := strings.NewReader("{\n \"label\": {\n \"title\": \"Best Seller\",\n \"icon\": \"rocket.svg\",\n \"background\": \"#F8C856\",\n \"color\": \"#000000\",\n \"status\": \"active\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.fluid.app/api/company/labels")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"label\": {\n \"title\": \"Best Seller\",\n \"icon\": \"rocket.svg\",\n \"background\": \"#F8C856\",\n \"color\": \"#000000\",\n \"status\": \"active\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/labels")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"label\": {\n \"title\": \"Best Seller\",\n \"icon\": \"rocket.svg\",\n \"background\": \"#F8C856\",\n \"color\": \"#000000\",\n \"status\": \"active\"\n }\n}"
response = http.request(request)
puts response.read_body{
"label": {
"id": 5127,
"status": "active",
"title": "Best Seller",
"background": "#F8C856",
"color": "#000000",
"icon": "https://dunder-mifflin.fluid.app/assets/label_icons/rocket-3f9a1c2e.svg"
},
"meta": {
"request_id": "9c4e2b7a-51d3-4f8e-a6b0-3d1f72c85e14",
"timestamp": "2026-09-18T14:05:22Z"
}
}{
"message": "<string>"
}